Loading...
Searching...
No Matches
baselogging.h File Reference
`#include <globjects/globjects_api.h>`
`#include <globjects/base/LogMessage.h>`
`#include <globjects/base/LogMessageBuilder.h>`
`#include <globjects/base/baselogging.inl>`

Go to the source code of this file.

## Namespaces

namespace | globjects
| Contains all the classes that wrap OpenGL functionality.

## Functions

GLOBJECTS_API LogMessageBuilder | globjects::info (LogMessageLevel level=LogMessageLevel::Info)
GLOBJECTS_API LogMessageBuilder | globjects::debug ()
GLOBJECTS_API LogMessageBuilder | globjects::warning ()
GLOBJECTS_API LogMessageBuilder | globjects::critical ()
GLOBJECTS_API LogMessageBuilder | globjects::fatal ()
GLOBJECTS_API void | globjects::setLoggingHandler (AbstractLogHandler *handler)
GLOBJECTS_API AbstractLogHandler * | globjects::loggingHandler ()
GLOBJECTS_API void | globjects::setVerbosityLevel (LogMessageLevel verbosity)
GLOBJECTS_API LogMessageLevel | globjects::verbosityLevel ()
template<typename... Arguments>
void | globjects::info (const char *format, Arguments... arguments)
template<typename... Arguments>
void | globjects::debug (const char *format, Arguments... arguments)
template<typename... Arguments>
void | globjects::warning (const char *format, Arguments... arguments)
template<typename... Arguments>
void | globjects::critical (const char *format, Arguments... arguments)
template<typename... Arguments>
void | globjects::fatal (const char *format, Arguments... arguments)